# MapGISM3DTileContent

#### new Cesium.MapGISM3DTileContent()
MapGIS/M3dLayer/MapGISM3DTileContent.js 37

The content of a tile in a `Cesium3DTileset`.

Derived classes of this interface provide access to individual features in the tile. Access derived objects through `Cesium3DTile#content`.

This type describes an interface and is not intended to be instantiated directly.

### Methods

#### getFeature(batchId) → Cesium3DTileFeature
MapGIS/M3dLayer/MapGISM3DTileContent.js 151

Returns the `Cesium3DTileFeature` object for the feature with the given `batchId`. This object is used to get and modify the feature's properties.

Features in a tile are ordered by `batchId`, an index used to retrieve their metadata from the batch table.

Name | Type | Description
--- | --- | ---
`batchId` | Number | The batchId for the feature.

##### Returns:

The corresponding `Cesium3DTileFeature` object.

##### Throws:

- DeveloperError : batchId must be between zero and `MapGISM3DTileContent#featuresLength` - 1.

##### See:

- https://github.com/CesiumGS/3d-tiles/tree/master/specification/TileFormats/BatchTable.

#### hasProperty(batchId, name) → Boolean
MapGIS/M3dLayer/MapGISM3DTileContent.js 131

Determines if the tile's batch table has a property. If it does, each feature in the tile will have the property.

Name | Type | Description
--- | --- | ---
`batchId` | Number | The batchId for the feature.
`name` | String | The case-sensitive name of the property.

##### Returns:

`true` if the property exists; otherwise, `false`.